cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Tell us what you want to see on the Community here!
Close

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

error message "Couldn't start dropbox".

Highlighted

error message "Couldn't start dropbox".

New member | Level 2

error message with link to the following.  user name on this mac was changed thru Apple...

 

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 106.4.368
bn.constants.WINDOWS_SHELL_EXT_VERSION: 45
bn.is_frozen: True
machine_id: 2107f777-9646-5c84-b8e8-37d2dedd2d6e
pid: 2841
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='hache', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Hache Viejo', pw_dir='/Users/hache', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='hache', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Hache Viejo', pw_dir='/Users/hache', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=0
     parent mode=0o40755 uid=0 gid=0
HOME: '/Users/hache'
appdata: '/Users/herveymbp15/.dropbox/instance2'
         real_path='/Users/herveymbp15/.dropbox/instance2'
                not found
         parent not found
dropbox_path: '/Users/herveymbp15/Dropbox'
              real_path='/Users/herveymbp15/Dropbox'
                    not found
              parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/jw/ckzc018j72zgjsl4_s2gqtwr0000gn/T'
         real_path='/private/var/folders/jw/ckzc018j72zgjsl4_s2gqtwr0000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 1265, in safe_makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/herveymbp15'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7720, in main_startup
  File "dropbox/client/main.pyc", line 2956, in run
  File "dropbox/client/main.pyc", line 1711, in startup_low
  File "dropbox/client/main.pyc", line 1292, in safe_makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/herveymbp15'

 

1 Accepted Solution

Accepted Solutions
Highlighted

Re: error message "Couldn't start dropbox".

Super Collaborator | Level 20

Hi @cloudnut,

The change you describe resulting in broken Dropbox application configuration. You can fix that using following command (executed in terminal):

rm -rf ~/.dropbox

This forcibly unlinks the application instance from your account. On next application launch, link it back to the account.

Next time, when you plane significant system change, unlink the application in advance and link back after change complete. 😉 In such a way, nothing will gonna broke again.

Hope this helps.

View solution in original post

2 Replies 2
Highlighted

Re: error message "Couldn't start dropbox".

Super Collaborator | Level 20

Hi @cloudnut,

The change you describe resulting in broken Dropbox application configuration. You can fix that using following command (executed in terminal):

rm -rf ~/.dropbox

This forcibly unlinks the application instance from your account. On next application launch, link it back to the account.

Next time, when you plane significant system change, unlink the application in advance and link back after change complete. 😉 In such a way, nothing will gonna broke again.

Hope this helps.

View solution in original post

Highlighted

Re: error message "Couldn't start dropbox".

New member | Level 2

Good, clear advice.  I'm back online, thank you!

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Who's talking

Top contributors to this post

What do Dropbox user levels mean?
Need more support?